NetBSD Problem Report #52998

From www@NetBSD.org  Fri Feb  9 21:29:35 2018
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (not verified))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 249A07A1B3
	for <gnats-bugs@gnats.NetBSD.org>; Fri,  9 Feb 2018 21:29:35 +0000 (UTC)
Message-Id: <20180209212933.E36EA7A261@mollari.NetBSD.org>
Date: Fri,  9 Feb 2018 21:29:33 +0000 (UTC)
From: lingvofactory@gmail.com
Reply-To: lingvofactory@gmail.com
To: gnats-bugs@NetBSD.org
Subject: kicad-4.0.4nb8 won't compile on Linux
X-Send-Pr-Version: www-1.0

>Number:         52998
>Category:       pkg
>Synopsis:       kicad-4.0.4nb8 won't compile on Linux
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    bouyer
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Feb 09 21:30:01 +0000 2018
>Last-Modified:  Tue Feb 13 20:55:01 +0000 2018
>Originator:     Andrei Melnikov
>Release:        pkgsrc-2017Q4
>Organization:
>Environment:
Linux 4.10.0-33-generic #37~16.04.1-Ubuntu SMP x86_64 GNU/Linux
gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.6) 
>Description:
Kicad stops compiling on pkgsrc/Linux, here's the output:

=> Returning to build of kicad-4.0.4nb8
===> Overriding tools for kicad-4.0.4nb8
===> Extracting for kicad-4.0.4nb8
===> Patching for kicad-4.0.4nb8
=> Applying pkgsrc patches for kicad-4.0.4nb8
===> Creating toolchain wrappers for kicad-4.0.4nb8
src=/media/andrei/TOSHIBA/opt/pkg/lib/pkgconfig/fixesproto.pc  dst=/media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad/work/.buildlink/lib/pkgconfig/fixesext.pc;  /bin/mkdir -p /media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad/work/.buildlink/lib/pkgconfig;  if test -f ${src}; then  /bin/ln -sf ${src} ${dst};  fi
src=/media/andrei/TOSHIBA/opt/pkg/lib/pkgconfig/compositeproto.pc  dst=/media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad/work/.buildlink/lib/pkgconfig/compositeext.pc;  /bin/mkdir -p /media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad/work/.buildlink/lib/pkgconfig;  if test -f ${src}; then  /bin/ln -sf ${src} ${dst};  fi
===> Configuring for kicad-4.0.4nb8
=> Eliminating Mac OS X build specific for kicad-4.0.4nb8
/bin/sed: -e expression #1, char 31: Invalid character class name
*** Error code 1

Stop.
bmake[1]: stopped in /media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad
*** Error code 1

Stop.
bmake: stopped in /media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad
>How-To-Repeat:
Fresh installation of pkgsrc-2017Q4.

/media/andrei/TOSHIBA/opt/pkgsrc/cad/kicad/# bmake install
>Fix:

>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->bouyer
Responsible-Changed-By: bsiegert@NetBSD.org
Responsible-Changed-When: Sat, 10 Feb 2018 19:46:13 +0000
Responsible-Changed-Why:
Over to maintainer.


From: Leonardo Taccari <leot@NetBSD.org>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52998: kicad-4.0.4nb8 won't compile on Linux
Date: Sat, 10 Feb 2018 21:14:08 +0100

 Hello Andrei,

 lingvofactory@gmail.com writes:
 > [...]
 > ===> Configuring for kicad-4.0.4nb8
 > => Eliminating Mac OS X build specific for kicad-4.0.4nb8
 > /bin/sed: -e expression #1, char 31: Invalid character class name
 > *** Error code 1
 > [...]

 Mmh, does sed(1) chokes due `[[:<:]]' and `[[:>:]]'?
 (used in SUBST_SED.macosx).

 If I'm correctly grepping through the kicad source code I think that
 the SUBST_SED.macosx can be substituted (to avoid [[:<:]] and [[:>:]]
 classes) to:

  SUBST_SED.macosx=	-e '/add_executable/ s/MACOSX_BUNDLE//'


 Can you please try that and let us known if kicad correctly builds?


 Thank you!

From: "Andrei M." <lingvofactory@gmail.com>
To: gnats-bugs@netbsd.org
Cc: bouyer@netbsd.org, gnats-admin@netbsd.org, pkgsrc-bugs@netbsd.org
Subject: Re: pkg/52998: kicad-4.0.4nb8 won't compile on Linux
Date: Tue, 13 Feb 2018 23:53:25 +0300

 2018-02-10 23:15 GMT+03:00 Leonardo Taccari <leot@netbsd.org>:
 > The following reply was made to PR pkg/52998; it has been noted by GNATS.
 >
 > From: Leonardo Taccari <leot@NetBSD.org>
 > To: gnats-bugs@NetBSD.org
 > Cc:
 > Subject: Re: pkg/52998: kicad-4.0.4nb8 won't compile on Linux
 > Date: Sat, 10 Feb 2018 21:14:08 +0100
 >
 >  Hello Andrei,
 >
 >  lingvofactory@gmail.com writes:
 >  > [...]
 >  > ===> Configuring for kicad-4.0.4nb8
 >  > => Eliminating Mac OS X build specific for kicad-4.0.4nb8
 >  > /bin/sed: -e expression #1, char 31: Invalid character class name
 >  > *** Error code 1
 >  > [...]
 >
 >  Mmh, does sed(1) chokes due `[[:<:]]' and `[[:>:]]'?
 >  (used in SUBST_SED.macosx).
 >
 >  If I'm correctly grepping through the kicad source code I think that
 >  the SUBST_SED.macosx can be substituted (to avoid [[:<:]] and [[:>:]]
 >  classes) to:
 >
 >   SUBST_SED.macosx=     -e '/add_executable/ s/MACOSX_BUNDLE//'
 >
 >
 >  Can you please try that and let us known if kicad correctly builds?
 >
 >
 >  Thank you!
 >

 Hello Leonardo,

 Sorry, I couldn't do the compilation until today.
 I used your workaround and the compilation resumed, so it did work, thank you!

 Kicad has successfully compiled, the only problem is that when I run
 it there's squares instead of letters in the menus and text area
 (letters do show up in window titles though).
 (it's the Linux problem, all is fine in the NetBSD version)
 Is there any specific font that needs to be installed? I've got
 another wxWidgets program on my system - Audacity - and it doesn't
 have this problem.

 Andrei

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.43 2018/01/16 07:36:43 maya Exp $
$NetBSD: gnats_config.sh,v 1.9 2014/08/02 14:16:04 spz Exp $
Copyright © 1994-2017 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.